ReferenceAdmin
Approve a published server's changed capability (platform admins)
PUT
/v1/admin/mcp-servers/{serverId}/capabilities/{capabilityId}/approval409 not_changed when the capability has no unapproved change; 409 capability_gone.
Path Parameters
serverId*string
Format
uuidcapabilityId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/admin/mcp-servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/capabilities/497f6eca-6276-4993-bfeb-53cbbbba6f08/approval"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "serverId": "10d2345a-e43d-463d-830e-4f5b19b60d41", "kind": "tool", "name": "string", "title": "string", "description": "string", "definition": {}, "fingerprint": "string", "approved": true, "changed": true, "approvedAt": "2019-08-24T14:15:22Z", "approvedByName": "string", "firstSeenAt": "2019-08-24T14:15:22Z", "lastSeenAt": "2019-08-24T14:15:22Z", "goneAt": "2019-08-24T14:15:22Z", "requirementOverride": { "mode": "inherit", "scopes": [ "string" ] }, "requires": { "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24", "providerSlug": "github", "providerName": "GitHub", "scopes": [ "string" ], "connected": true, "providerKind": "oauth2" } }}